<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Forms Task 1</title>
  
</head>
<body>
  <form  id="MyValidateForm">
    <input type="text" name='login' placeholder="Ваш логин" />
    <input type="password" name='pas1' placeholder="Ваш пароль" />
    <input type="password" name='pas2' placeholder="Повторите пароль" />
    <label for="agree">
      <span>Вы согласны с лицензионым соглашением.</span>
      <input type="checkbox" id="agree" />
    </label>
    <input type="submit" id="submit" value="Отправить"/>
  </form>

  <style>
    #MyValidateForm{
      width: 350px;
      display: flex;
      flex-direction: column;
    }

    #MyValidateForm input{
      margin-bottom: 10px;
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .error{
        border: 1px solid red;
    }
    .OK{
        border: 1px solid green;
    }
  </style>
  <script>
    /*
      Задание:
        Сделать валидацию формы:
        1. Логин / Пароль не может быть пустым
        2. Пароли должны совпадть
        3. Пока не стоит что юзер согласен с лиц. соглашением - кнопка отправки не активна
 
        + бонус - то поле, которое не прошло валидацию подсвечивать красным.
                - которое прошло - подсвечивать зеленым.
    */

    document.addEventListener('DOMContentLoaded', function(){
      var myForm = document.forms.MyValidateForm.elements;
      var myFormElem = document.forms.MyValidateForm;
      var agree = document.getElementById('agree');
      var submit = document.getElementById('submit');
          submit.disabled = true;
      
      agree.addEventListener('click', function(){
        if( agree.checked ){
          submit.removeAttribute('disabled');
        } else {
          submit.disabled = true;
        }
      });
      
      myFormElem.addEventListener('submit', function(e){
        var loginName = myForm.login.value !== "";
        var passW = myForm.pas1.value === myForm.pas2.value && myForm.pas1.value !== "";
        var valid = true;
   
        if( loginName ){
          myForm.login.classList.add('OK');
          myForm.login.classList.remove('error');
        } else {
          myForm.login.classList.remove('OK');
          myForm.login.classList.add('error');
          valid = false;
        }
        if (passW) {
          myForm.pas1.classList.add('OK');
           myForm.pas2.classList.add('OK');
          myForm.pas1.classList.remove('error');
          myForm.pas2.classList.remove('error');
        } else {
          myForm.pas1.classList.remove('OK');
          myForm.pas1.classList.add('error');
          myForm.pas2.classList.remove('OK');
          myForm.pas2.classList.add('error');
          valid = false;
        }

        if( valid === false ){
          e.preventDefault();
        }
      });
    })  
    
  </script>
</body>
</html>
